<ng-container *ngIf="requests$ | async; let requests; else loader">
  <table mat-table [dataSource]="requests" class="requests-table">
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> {{ 'request_id' | transloco }} </th>
      <td mat-cell *matCellDef="let request"> <p>{{ request.id }}</p> </td>
    </ng-container>

    <ng-container matColumnDef="author">
      <th mat-header-cell *matHeaderCellDef> {{ 'author' | transloco }} </th>
      <td mat-cell *matCellDef="let request">
        <p>{{ request.author.lastName }} {{ request.author.firstName }} {{ request.author.patronymic }}</p>
      </td>
    </ng-container>

    <ng-container matColumnDef="expert">
      <th mat-header-cell *matHeaderCellDef> {{ 'expert' | transloco }} </th>
      <td mat-cell *matCellDef="let request">
        <p>{{ request.expert.lastName }} {{ request.expert.firstName }} {{ request.expert.patronymic }}</p>
      </td>
    </ng-container>

    <ng-container matColumnDef="operationType">
      <th mat-header-cell *matHeaderCellDef> {{ 'request_operation_type' | transloco }} </th>
      <td mat-cell *matCellDef="let request"> <p>{{ request.operationType.name }}</p> </td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef> {{ 'status' | transloco }} </th>
      <td mat-cell *matCellDef="let request">
        <p>{{ request.status.status | uppercase }}</p>
      </td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> {{ 'date' | transloco }} </th>
      <td mat-cell *matCellDef="let request"> <p>{{ request.date }}</p> </td>
    </ng-container>

    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef> {{ 'request' | transloco }} </th>
      <td mat-cell *matCellDef="let request">
        <a (click)="onRequestSelected(request)">
          {{ 'see_detailed_info' | transloco }}
        </a>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
  </table>

</ng-container>

<mat-paginator *ngIf="requestsTotalCount$ | async; let totalCount"
               [length]="totalCount"
               [pageSize]="10"
               [pageSizeOptions]="[5, 10, 25, 100]"
               (page)="onPageSelected($event)">
</mat-paginator>

<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
